summaryrefslogtreecommitdiff
path: root/source4/script/tests/tests_quick.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-11-21 04:18:43 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:46:33 -0500
commit4544226935dd3a57ab74995ec136d59cc4cefe5f (patch)
tree7bccaf3cfdadededfac2d115ab6cb1879cb1dbba /source4/script/tests/tests_quick.sh
parent38d540e9fe8701ab3942f0fcbeba01c53d29798b (diff)
downloadsamba-4544226935dd3a57ab74995ec136d59cc4cefe5f.tar.gz
samba-4544226935dd3a57ab74995ec136d59cc4cefe5f.tar.bz2
samba-4544226935dd3a57ab74995ec136d59cc4cefe5f.zip
r11818: - changed the option torture:echo_TestSleep=yes/no to the more generic
option torture:quick=yes/no. This should be used in all slow tests to enable a quick mode - enabled the test_rpc_quick.sh tests in 'make quicktest' (This used to be commit 180c209c1bb48f6421043de2d0d48c29fc7f9274)
Diffstat (limited to 'source4/script/tests/tests_quick.sh')
-rw-r--r--source4/script/tests/tests_quick.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/source4/script/tests/tests_quick.sh b/source4/script/tests/tests_quick.sh
index f5df436ab9..7c35b0842a 100644
--- a/source4/script/tests/tests_quick.sh
+++ b/source4/script/tests/tests_quick.sh
@@ -1,5 +1,7 @@
+TORTURE_OPTIONS="$TORTURE_OPTIONS --option=torture:quick=yes"
+
$SRCDIR/script/tests/test_ejs.sh $SERVER $USERNAME $PASSWORD || failed=`expr $failed + $?`
$SRCDIR/script/tests/test_ldap.sh $SERVER $USERNAME $PASSWORD || failed=`expr $failed + $?`
$SRCDIR/script/tests/test_nbt.sh $SERVER || failed=`expr $failed + $?`
$SRCDIR/script/tests/test_quick.sh //$SERVER/cifs $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
-
+$SRCDIR/script/tests/test_rpc_quick.sh $SERVER $USERNAME $PASSWORD $DOMAIN || failed=`expr $failed + $?`